Certificate Manager
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Certificate Manager 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| Version | Status | Not Before |
|---|
| 1.2 | CURRENT | - |
| 1.1 | SUPPORTED | 20260831 |
| 1.0 | DEPRECATED | 20260531 |
OpenAPI URL
https://certificatemanager.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Check duplicate name
1.1.1 - 1.2
post /v1/certificatemanager/check-duplication
Description
인증서 이름 중복 여부
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Request body
Example HTTP response
Response 200
1.1.2 - 1.1
post /v1/certificatemanager/check-duplication
Description
인증서 이름 중복 여부
상태
ACTIVE (SUPPORTED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
Example HTTP response
Response 200
1.1.3 - 1.0
post /v1/certificatemanager/check-duplication
Description
인증서 이름 중복 여부
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
Example HTTP response
Response 200
1.2 - Create a certificate
1.2.1 - 1.2
post /v1/certificatemanager
Description
인증서 생성
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"name": "test-certificate",
"private_key": "<encoded private_key data>",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "PRD",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"state": "VALID",
"tags": [],
"user_name": "kildong@samsung.com"
}
}
1.2.2 - 1.1
post /v1/certificatemanager
Description
인증서 생성
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"name": "test-certificate",
"private_key": "<encoded private_key data>",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "PRD",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"state": "VALID",
"tags": [],
"user_name": "kildong@samsung.com"
}
}
1.2.3 - 1.0
post /v1/certificatemanager
Description
인증서 생성
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"name": "test-certificate",
"private_key": "<encoded private_key data>",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "PRD",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"state": "VALID",
"tags": [],
"user_name": "kildong@samsung.com"
}
}
1.3 - Delete a certificate
1.3.1 - 1.2
delete /v1/certificatemanager/{certificate_id}
Description
인증서 삭제
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | No Content | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Example HTTP response
Response 200
1.3.2 - 1.1
delete /v1/certificatemanager/{certificate_id}
Description
인증서 삭제
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | No Content | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
1.3.3 - 1.0
delete /v1/certificatemanager/{certificate_id}
Description
인증서 삭제
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | No Content | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
1.4 - Detail a certificate
1.4.1 - 1.2
get /v1/certificatemanager/{certificate_id}
Description
인증서 상세정보
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"days_until_expiration": "830",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"is_in_use": "is in use",
"issuer": "MyInternalSubCA",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"public_key_bit_size": "public key bit size",
"public_key_type": "public key type",
"signature_algorithm": "signature algorithm",
"state": "VALID",
"sub_domain": "api-guard.dev",
"user_name": "kildong@samsung.com"
}
}
1.4.2 - 1.1
get /v1/certificatemanager/{certificate_id}
Description
인증서 상세정보
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.4.3 - 1.0
get /v1/certificatemanager/{certificate_id}
Description
인증서 상세정보
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.5 - List certificates
1.5.1 - 1.2
get /v1/certificatemanager
Description
인증서 리스트
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | 사용자가 등록한 인증서인지 확인 여부 Example : False
| any of [boolean, null] | False |
| query | name optional | 인증서 이름 Example : test-certificate
| any of [string, null] | None |
| query | cn optional | 인증서 CN 정보 Example : test.go.kr
| any of [string, null] | None |
| query | state optional | 인증서 상태 Example : VALID
| any of [array[string], string, null] | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.5.2 - 1.1
get /v1/certificatemanager
Description
인증서 리스트
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | 사용자가 등록한 인증서인지 확인 여부 Example : False
| any of [boolean, null] | False |
| query | name optional | 인증서 이름 Example : test-certificate
| any of [string, null] | None |
| query | cn optional | 인증서 CN 정보 Example : test.go.kr
| any of [string, null] | None |
| query | state optional | 인증서 상태 Example : VALID
| any of [array[string], string, null] | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.5.3 - 1.0
get /v1/certificatemanager
Description
인증서 리스트
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | 사용자가 등록한 인증서인지 확인 여부 Example : False
| any of [boolean, null] | False |
| query | name optional | 인증서 이름 Example : test-certificate
| any of [string, null] | None |
| query | cn optional | 인증서 CN 정보 Example : test.go.kr
| any of [string, null] | None |
| query | state optional | 인증서 상태 Example : VALID
| any of [array[string], string, null] | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.6 - Self-sign a certificate
1.6.1 - 1.2
post /v1/certificatemanager/self-sign
Description
인증서 자체 서명
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/self-sign
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Request body
{
"cn": "test.go.kr",
"name": "test-certificate",
"not_after_dt": "20251212",
"not_before_dt": "20250101",
"organization": "samsungSDS",
"recipients": [],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.6.2 - 1.1
post /v1/certificatemanager/self-sign
Description
인증서 자체 서명
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/self-sign
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cn": "test.go.kr",
"name": "test-certificate",
"not_after_dt": "20251212",
"not_before_dt": "20250101",
"organization": "samsungSDS",
"recipients": [],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.6.3 - 1.0
post /v1/certificatemanager/self-sign
Description
인증서 자체 서명
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/self-sign
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cn": "test.go.kr",
"name": "test-certificate",
"not_after_dt": "20251212",
"not_before_dt": "20250101",
"organization": "samsungSDS",
"recipients": [],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.7 - Validate a certificate
1.7.1 - 1.2
post /v1/certificatemanager/check-validation
Description
인증서 검증
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/check-validation
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.2"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"private_key": "<encoded private_key data>"
}
Example HTTP response
Response 200
1.7.2 - 1.1
post /v1/certificatemanager/check-validation
Description
인증서 검증
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/check-validation
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"private_key": "<encoded private_key data>"
}
Example HTTP response
Response 200
1.7.3 - 1.0
post /v1/certificatemanager/check-validation
Description
인증서 검증
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-validation
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"is_need_cert_chain": "True",
"private_key": "<encoded private_key data>"
}
Example HTTP response
Response 200
2 - Models
2.1 - CertificateCreate
| Name | Description | Schema | Default |
|---|
account_id required | 계정 id Example : b82909b3576449fda984fb25c3123542da
| string | |
cert_body required | 인증서 body Example :
| string | |
cert_chain optional | 인증서 체인 Example :
| any of [string, null] | |
cert_kind optional | 인증서 타입 Example : PRD
| string | |
cert_type required | 인증서 타입 Example : pem
| string | |
cert_version required | 인증서 버전 Example : 2
| string | |
cn required | 인증서 CN 정보 Example : test.go.kr
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
key_bit_size required | 키 bit 크기 Example : 2048
| string | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
name required | 인증서 이름 Example : test-certificate
| string | |
not_after_dt required | 인증서 만료일 Example : 2026-02-07T18:07:59
| string (date-time) | |
not_before_dt required | 인증서 시작일 Example : 2025-02-08T18:07:00
| string (date-time) | |
organization required | 인증서 O(조직) 정보 Example : samsungSDS
| string | |
private_key required | 개인키 Example :
| string | |
recipients optional | 만료된 인증서 수신인 Example : [{'region': '', 'user_id': 'sdaFDQSDADZ2488e195c0e97d9b9eb', 'user_name': 'kildong.hong'}]
| array[Recipient] | |
state required | 인증서 상태 Example : VALID
| string | |
tags optional | 태그 리스트
| array[Tag] | |
user_name required | 사용자 이름 Example : kildong@samsung.com
| string | |
2.2 - CertificateCreateRequest
| Name | Description | Schema | Default |
|---|
cert_body required | 인증서 body Example : <encoded certificate body data>
| string | |
cert_chain optional | 인증서 체인 Example : <encoded certificate chain data>
| any of [string, null] | |
name required | 인증서 이름 Example : test-certificate
| string | |
private_key required | 개인키 Example : <encoded private_key data>
| string | |
recipients optional | 만료된 인증서 수신인 Example : [{'region': '', 'user_id': 'sdaFDQSDADZ2488e195c0e97d9b9eb', 'user_name': 'kildong.hong'}]
| array[Recipient] | |
region required | 리즌 이름 Example : west1
| string | |
tags optional | 태그 리스트
| array[Tag] | |
timezone required | 타임존 Example : Asia/Seoul
| string | |
2.3 - CertificateCreateResponse
2.4 - CertificateDetail
| Name | Description | Schema | Default |
|---|
account_id required | 계정 id Example : b82909b3576449fda984fb25c3123542da
| string | |
cert_body required | 인증서 body Example :
| string | |
cert_chain optional | 인증서 체인 Example :
| any of [string, null] | |
cert_kind optional | 인증서 타입 Example : DEV
| string | |
cert_type required | 인증서 타입 Example : pem
| string | |
cert_version required | 인증서 버전 Example : 2
| string | |
cn required | 인증서 CN 정보 Example : test.go.kr
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
key_bit_size required | 키 bit 크기 Example : 2048
| string | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
name required | 인증서 이름 Example : test-certificate
| string | |
not_after_dt required | 인증서 만료일 Example : 2026-02-07T18:07:59
| string (date-time) | |
not_before_dt required | 인증서 시작일 Example : 2025-02-08T18:07:00
| string (date-time) | |
organization required | 인증서 O(조직) 정보 Example : samsungSDS
| string | |
private_key required | 개인키 Example :
| string | |
state required | 인증서 상태 Example : VALID
| string | |
user_name required | 사용자 이름 Example : 2048
| string | |
2.5 - CertificateDetailResponse
2.6 - CertificateDetailResponseV1Dot2
2.7 - CertificateDetailV1Dot2
| Name | Description | Schema | Default |
|---|
account_id required | 계정 id Example : b82909b3576449fda984fb25c3123542da
| string | |
cert_body required | 인증서 body Example :
| string | |
cert_chain optional | 인증서 체인 Example :
| any of [string, null] | |
cert_kind optional | 인증서 타입 Example : DEV
| string | |
cert_type required | 인증서 타입 Example : pem
| string | |
cert_version required | 인증서 버전 Example : 2
| string | |
cn required | 인증서 CN 정보 Example : test.go.kr
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
days_until_expiration required | 만료 일자 Example : 830
| string | |
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
is_in_use required | 사용 여부 Example : is in use
| boolean | |
issuer optional | 발행자 Example : MyInternalSubCA
| any of [string, null] | |
key_bit_size required | 키 bit 크기 Example : 2048
| string | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
name required | 인증서 이름 Example : test-certificate
| string | |
not_after_dt required | 인증서 만료일 Example : 2026-02-07T18:07:59
| string (date-time) | |
not_before_dt required | 인증서 시작일 Example : 2025-02-08T18:07:00
| string (date-time) | |
organization required | 인증서 O(조직) 정보 Example : samsungSDS
| string | |
private_key required | 개인키 Example :
| string | |
public_key_bit_size optional | 공공 키 비트 사이즈 Example : public key bit size
| any of [string, null] | |
public_key_type optional | 공공 키 타입 Example : public key type
| any of [string, null] | |
signature_algorithm optional | 서명 알고리즘 Example : signature algorithm
| any of [string, null] | |
state required | 인증서 상태 Example : VALID
| string | |
sub_domain optional | 추가 도메인 Example : api-guard.dev
| any of [string, null] | |
user_name required | 사용자 이름 Example : kildong@samsung.com
| string | |
2.8 - CertificateDuplicateRequest
| Name | Description | Schema | Default |
|---|
name required | 인증서 이름 Example :
| string | |
2.9 - CertificateList
| Name | Description | Schema | Default |
|---|
cert_kind optional | 인증서 타입 Example : PRD
| string | |
cn required | 인증서 CN 정보 Example : test.go.kr
| string | |
id required | 인증서 id Example :
| string | |
name required | 인증서 이름 Example : test-certificate
| string | |
not_after_dt required | 인증서 만료일 Example : 2026-02-07T18:07:59
| string (date-time) | |
not_before_dt required | 인증서 시작일 Example : 2025-02-08T18:07:00
| string (date-time) | |
state required | 인증서 상태 Example : VALID
| string | |
2.10 - CertificateListResponse
| Name | Description | Schema | Default |
|---|
certificates required |
| array[CertificateList] | |
count required | count Example : 20
| integer | |
page required | page Example : 0
| integer | |
size required | size Example : 20
| integer | |
sort optional | sort Example : ['created_at:asc']
| any of [array[string], null] | |
2.11 - CertificateValidateRequest
| Name | Description | Schema | Default |
|---|
cert_body required | 인증서 body Example : <encoded certificate body data>
| string | |
cert_chain optional | 인증서 체인 Example : <encoded certificate chain data>
| any of [string, null] | |
is_need_cert_chain required | 인증서 체인 필요 여부 Example : True
| boolean | |
private_key required | 개인키 Example : <encoded private_key data>
| string | |
2.12 - CertificateValidateRequestV1Dot1
| Name | Description | Schema | Default |
|---|
cert_body required | 인증서 body Example : <encoded certificate body data>
| string | |
cert_chain optional | 인증서 체인 Example : <encoded certificate chain data>
| any of [string, null] | |
private_key required | 개인키 Example : <encoded private_key data>
| string | |
2.13 - CertificateValidateResponseV1Dot1
| Name | Description | Schema | Default |
|---|
validate_check required | Example :
| boolean | |
2.14 - CheckResponse
| Name | Description | Schema | Default |
|---|
result required | True, False 체크 Example : True
| boolean | |
2.15 - Recipient
| Name | Description | Schema | Default |
|---|
region required | 리즌 이름 Example :
| string | |
user_id required | 사용자 id Example :
| string | |
user_name required | 사용자 이름 Example :
| string | |
2.16 - SelfSignCreateRequest
| Name | Description | Schema | Default |
|---|
cn required | 인증서 CN 정보 Example : test.go.kr
| string | |
name required | 인증서 이름 Example : test-certificate
| string | |
not_after_dt required | 인증서 만료일 Example : 20251212
| string | |
not_before_dt required | 인증서 시작일 Example : 20250101
| string | |
organization required | 인증서 O(조직) 정보 Example : samsungSDS
| string | |
recipients optional | 만료된 인증서 수신인
| array[Recipient] | |
region required | 리즌 이름 Example : west1
| string | |
tags optional | 태그 리스트
| array[Tag] | |
timezone required | 타임존 Example : Asia/Seoul
| string | |
2.17 - Tag
| Name | Description | Schema | Default |
|---|
key required | tag key Example :
| string | |
value required | tag value Example :
| string | |